### Method

# Fwupd Client get_hwids

since: 2.0.17

#### Declaration [src]

    void
    fwupd_client_get_hwids (
      FwupdClient* self,
      GStrv* keys,
      GStrv* values
    )

#### Description [src]

Gets the daemon hardware IDs, sometimes called CHIDs.

Available since: 2.0.17

#### Parameters

`keys`

  Type: An array of `utf8`

  CHID keys.

  The argument will be set by the function.
  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  The caller of the method takes ownership of the data, and is responsible for freeing it.
  Each element is a NUL terminated UTF-8 string.

`values`

  Type: An array of `utf8`

  CHID values.

  The argument will be set by the function.
  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  The caller of the method takes ownership of the data, and is responsible for freeing it.
  Each element is a NUL terminated UTF-8 string.